<?php

/**
 * IMPORTANT IL FAUT AJOUTER UN autoload sur 'webservices' pour OXALINK
 * @param void $classname
 */
function autoloadOutil($className)
{
    $filename = "../autoload/outil/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadRequete($className)
{
    $filename = "../autoload/requete/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadDoa($className)
{
    $filename = "../autoload/doa/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadAo($className)
{
    $filename = "../autoload/ao/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadFournisseur($className)
{
    $filename = "../autoload/fournisseur/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadWorkFlow($className)
{
    $filename = "../autoload/workflow/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadPanier($className)
{
    $filename = "../autoload/panier/class_" . $className . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

function autoloadGlobal($classname)
{
    $filename = "../autoload/class_" . $classname . ".php";
    if (is_readable($filename)) {
        require $filename;
    }
}

spl_autoload_register("autoloadRequete");
spl_autoload_register("autoloadOutil");
spl_autoload_register("autoloadDoa");
spl_autoload_register("autoloadAo");
spl_autoload_register("autoloadPanier");
spl_autoload_register("autoloadFournisseur");
spl_autoload_register("autoloadWorkFlow");

// Au cas où le répertoire général
spl_autoload_register("autoloadGlobal");
